Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
QwtClipper Class Reference

`#include <qwt_clipper.h>`

List of all members.

## Static Public Member Functions
static QVector< QwtInterval > | clipCircle (const QRectF &, const QPointF &, double radius)
static QPolygon | clipPolygon (const QRect &, const QPolygon &, bool closePolygon=false)
static QPolygonF | clipPolygonF (const QRectF &, const QPolygonF &, bool closePolygon=false)

## Detailed Description

Some clipping algos.

## Member Function Documentation

QVector< QwtInterval > QwtClipper::clipCircle | ( | const QRectF & | clipRect,
|  | const QPointF & | center,
|  | double | radius
| ) |  |
| static

Circle clipping

clipCircle() devides a circle into intervals of angles representing arcs of the circle. When the circle is completely inside the clip rectangle an interval [0.0, 2 * M_PI] is returned.

Parameters:

  clipRect | Clip rectangle
  center | Center of the circle
  radius | Radius of the circle

Returns:
  Arcs of the circle

QPolygon QwtClipper::clipPolygon | ( | const QRect & | clipRect,
|  | const QPolygon & | polygon,
|  | bool | closePolygon = `false`
| ) |  |
| static

Sutherland-Hodgman polygon clipping

Parameters:

  clipRect | Clip rectangle
  polygon | Polygon
  closePolygon | True, when the polygon is closed

Returns:
  Clipped polygon

QPolygonF QwtClipper::clipPolygonF | ( | const QRectF & | clipRect,
|  | const QPolygonF & | polygon,
|  | bool | closePolygon = `false`
| ) |  |
| static

Sutherland-Hodgman polygon clipping

Parameters:

  clipRect | Clip rectangle
  polygon | Polygon
  closePolygon | True, when the polygon is closed

Returns:
  Clipped polygon